/* Objet                                        */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Mars 2014                                    */

#include <stdio.h>
#include <math.h>

#include "Objet.h"
#include "Pos3D.h"
#include "Materiel.h"
#include "RayonLumineux.h"
#include "Dir3D.h"

Objet::Objet(void) {
  centre = new Pos3D();
  materiel = new Materiel();
}

Objet::Objet(Pos3D *p,Materiel *m) {
  centre = new Pos3D(p);
  materiel = new Materiel(m);
}

Objet::Objet(Objet *s) {
  centre = new Pos3D(s->centre);
  materiel = new Materiel(s->materiel);
}

Objet::~Objet(void) {
  delete(centre);
  delete(materiel);
}

void Objet::print(void) {
}
